Powered by Invision Power Board


  
 
Reply to this topicStart new topicStart Poll

> Gen2VDR v60 - Update 6+7
HelAu
Geschrieben am: Donnerstag, 25.Mai 2017, 23:38 Uhr
Quote Post


Scheffe
****

Gruppe: Admin
Beiträge: 10974
Mitgliedsnummer.: 2
Mitglied seit: 2003-04-25



Installation:
CODE
cd /_config/update
bash g2v_update.sh
CODE
/_config/backup/README.update
/_config/backup/mkcfg.sh
/_config/backup/mkroot.sh
/_config/backup/mksrc.sh
/_config/backup/setup.sh
/_config/bin/cleanup.sh
/_config/bin/detect_x.sh
/_config/bin/df_media.sh
/_config/bin/dvbmod
/_config/bin/g2v_funcs.sh
/_config/bin/g2v_log.sh
/_config/bin/g2v_updplgs.sh
/_config/bin/gg_launcher.pl
/_config/bin/gg_setactapp.sh
/_config/bin/gg_startapp.sh
/_config/bin/hibernate.sh
/_config/bin/kodi_start.sh
/_config/bin/listplgs.sh
/_config/bin/vdrshutdown.sh
/_config/update/g2v60_up07.sh
/etc/vdr/plugins/admin/admin.conf.default


Zudem habe ich das Image ausgetauscht:
http://www.htpc-forum.de/forum/index.php?showtopic=10379

Dieses ist komplett aktualisiert und auf vdr-2.3.4 eingestellt ! (/_config/backup/README.update)
Email PosterUsers WebsiteICQAOLYahoo
Top
franky
Geschrieben am: Freitag, 26.Mai 2017, 12:23 Uhr
Quote Post


Prinz
****

Gruppe: Supporter
Beiträge: 1567
Mitgliedsnummer.: 1547
Mitglied seit: 2006-11-19



QUOTE (HelAu @ Freitag, 26.Mai 2017, 00:38 Uhr)
...
Zudem habe ich das Image ausgetauscht:
http://www.htpc-forum.de/forum/index.php?showtopic=10379

Dieses ist komplett aktualisiert und auf vdr-2.3.4 eingestellt ! (/_config/backup/README.update)

Hallo Helmut,

der Download-Link für die neue ISO ist leider noch mit dem alten ISO vom 08.02. verlinkt.

Aber schon mal vielen Dank für die neue ISO.

Gruß
Klaus
Email Poster
Top
franky
Geschrieben am: Samstag, 27.Mai 2017, 09:33 Uhr
Quote Post


Prinz
****

Gruppe: Supporter
Beiträge: 1567
Mitgliedsnummer.: 1547
Mitglied seit: 2006-11-19



Jetzt funktioniert der Download-Link für das neue ISO.
Danke!!
Email Poster
Top
HelAu
Geschrieben am: Samstag, 27.Mai 2017, 09:34 Uhr
Quote Post


Scheffe
****

Gruppe: Admin
Beiträge: 10974
Mitgliedsnummer.: 2
Mitglied seit: 2003-04-25



Du bist aber fix wollte gerade schreiben dass Ichs korrigiert habe :D
Email PosterUsers WebsiteICQAOLYahoo
Top
kaminkehrer
Geschrieben am: Sonntag, 28.Mai 2017, 16:16 Uhr
Quote Post


Professional
****

Gruppe: Supporter
Beiträge: 1058
Mitgliedsnummer.: 300
Mitglied seit: 2004-02-08



Hallo Helmut,

leider klappt die Installation von PHP nicht:
CODE
vdrmb2 ~ #  echo 'dev-lang/php gd  # Für SkinFlatPlus' >> /etc/portage/package.use/dev
vdrmb2 ~ # emerge -av dev-lang/php

These are the packages that would be merged, in order:

Calculating dependencies | * Digest verification failed:
* /var/db/repos/3PO-overlay/media-tv/minisatip/minisatip-9999.ebuild
* Reason: Filesize does not match recorded size
* Got: 1407
* Expected: 1406                                                                                                 |

!!! Problem resolving dependencies for dev-lang/php                                                              ... done!

!!! The ebuild selected to satisfy "dev-lang/php" has unmet requirements.
- dev-lang/php-7.0.15::gentoo USE="acl berkdb bzip2 cli crypt ctype exif fileinfo filter ftp gd gdbm hash iconv ipv6 json mysql nls opcache phar posix readline session simplexml spell ssl tokenizer truetype unicode xml zlib -apache2 -bcmath -calendar -cdb -cgi -cjk -coverage -curl -debug -embed -enchant (-firebird) -flatfile -fpm -gmp -imap -inifile -intl -iodbc -kerberos -ldap -ldap-sasl -libedit (-libressl) -mhash -mssql -mysqli -oci8-instant-client -odbc -pcntl -pdo -phpdbg -postgres -qdbm -recode (-selinux) -sharedmem -snmp -soap -sockets -sqlite -systemd -sysvipc -threads -tidy -wddx -webp -xmlreader -xmlrpc -xmlwriter -xpm -xslt -zip"

 The following REQUIRED_USE flag constraints are unsatisfied:
   mysql? ( any-of ( mysqli pdo ) )

 The above constraints are a subset of the following complete expression:
   cli? ( exactly-one-of ( readline libedit ) ) truetype? ( gd ) webp? ( gd ) cjk? ( gd ) exif? ( gd ) xpm? ( gd ) gd? ( zlib ) simplexml? ( xml ) soap? ( xml ) wddx? ( xml ) xmlrpc? ( any-of ( xml iconv ) ) xmlreader? ( xml ) xslt? ( xml ) ldap-sasl? ( ldap ) mhash? ( hash ) phar? ( hash ) qdbm? ( !gdbm ) readline? ( !libedit ) recode? ( !imap !mysqli ) sharedmem? ( !threads ) mysql? ( any-of ( mysqli pdo ) ) any-of ( cli cgi fpm apache2 embed phpdbg )


Grüße
Kaminkehrer
Email Poster
Top
R2D2
Geschrieben am: Sonntag, 28.Mai 2017, 16:41 Uhr
Quote Post


Prinz
****

Gruppe: Moderators
Beiträge: 5963
Mitgliedsnummer.: 1131
Mitglied seit: 2005-10-30



Minisatip ist im Repo gefixt, einfach nochmal syncen. ;)

CODE
eix-sync
Email PosterUsers WebsiteICQ
Top
kaminkehrer
Geschrieben am: Sonntag, 28.Mai 2017, 19:43 Uhr
Quote Post


Professional
****

Gruppe: Supporter
Beiträge: 1058
Mitgliedsnummer.: 300
Mitglied seit: 2004-02-08



Hallo,

das hilft mir leider noch nicht:
CODE
vdrmb2 ~ # emerge -av dev-lang/php

These are the packages that would be merged, in order:

Calculating dependencies |

!!! Problem resolving dependencies for dev-lang/php                                                              ... done!

!!! The ebuild selected to satisfy "dev-lang/php" has unmet requirements.
- dev-lang/php-7.0.15::gentoo USE="acl berkdb bzip2 cli crypt ctype exif fileinfo filter ftp gd gdbm hash iconv ipv6 json mysql nls opcache phar posix readline session simplexml spell ssl tokenizer truetype unicode xml zlib -apache2 -bcmath -calendar -cdb -cgi -cjk -coverage -curl -debug -embed -enchant (-firebird) -flatfile -fpm -gmp -imap -inifile -intl -iodbc -kerberos -ldap -ldap-sasl -libedit (-libressl) -mhash -mssql -mysqli -oci8-instant-client -odbc -pcntl -pdo -phpdbg -postgres -qdbm -recode (-selinux) -sharedmem -snmp -soap -sockets -sqlite -systemd -sysvipc -threads -tidy -wddx -webp -xmlreader -xmlrpc -xmlwriter -xpm -xslt -zip"

 The following REQUIRED_USE flag constraints are unsatisfied:
   mysql? ( any-of ( mysqli pdo ) )

 The above constraints are a subset of the following complete expression:
   cli? ( exactly-one-of ( readline libedit ) ) truetype? ( gd ) webp? ( gd ) cjk? ( gd ) exif? ( gd ) xpm? ( gd ) gd? ( zlib ) simplexml? ( xml ) soap? ( xml ) wddx? ( xml ) xmlrpc? ( any-of ( xml iconv ) ) xmlreader? ( xml ) xslt? ( xml ) ldap-sasl? ( ldap ) mhash? ( hash ) phar? ( hash ) qdbm? ( !gdbm ) readline? ( !libedit ) recode? ( !imap !mysqli ) sharedmem? ( !threads ) mysql? ( any-of ( mysqli pdo ) ) any-of ( cli cgi fpm apache2 embed phpdbg )


Grüße
Kaminkehrer
Email Poster
Top
R2D2
Geschrieben am: Sonntag, 28.Mai 2017, 19:51 Uhr
Quote Post


Prinz
****

Gruppe: Moderators
Beiträge: 5963
Mitgliedsnummer.: 1131
Mitglied seit: 2005-10-30



Nun ja, die Lösung steht doch da:

CODE
The following REQUIRED_USE flag constraints are unsatisfied:
  mysql? ( any-of ( mysqli pdo ) )


Du hast für dev-lang/php das UseFlag mysql gesetzt und dieses benötigt noch mysqli oder pdo oder beide.
Email PosterUsers WebsiteICQ
Top
kaminkehrer
Geschrieben am: Sonntag, 28.Mai 2017, 20:38 Uhr
Quote Post


Professional
****

Gruppe: Supporter
Beiträge: 1058
Mitgliedsnummer.: 300
Mitglied seit: 2004-02-08



Hallo R2D2,

ich habe garnichts gesetzt.
MySAL benötige ich auch nicht.
Was muss ich ändern damit ich PHP ohne mysql bauen kann?

Grüße
kaminkehrer
Email Poster
Top
R2D2
Geschrieben am: Sonntag, 28.Mai 2017, 20:46 Uhr
Quote Post


Prinz
****

Gruppe: Moderators
Beiträge: 5963
Mitgliedsnummer.: 1131
Mitglied seit: 2005-10-30



Du musst halt die USEFlags entsprechend anpassen.

Da ich kein aktuelles G2V installiert habe kann ich es Dir leider nicht direkt sagen.

Was sagt denn:

CODE
grep "dev-lang/php" /etc/portage/package.use/*
Email PosterUsers WebsiteICQ
Top
HelAu
Geschrieben am: Montag, 29.Mai 2017, 07:22 Uhr
Quote Post


Scheffe
****

Gruppe: Admin
Beiträge: 10974
Mitgliedsnummer.: 2
Mitglied seit: 2003-04-25



CODE
echo "dev-lang/php gd mysqli  # Für SkinFlatPlus" >> /etc/portage/package.use/dev

Falls Du wirklich Dein system mysql-frei machen willst dann solltest Du Dir das selbst aneignen wie das geht, denn dazu sollte man schon sehr genau wissen was man macht ...
Email PosterUsers WebsiteICQAOLYahoo
Top
kaminkehrer
Geschrieben am: Montag, 29.Mai 2017, 08:46 Uhr
Quote Post


Professional
****

Gruppe: Supporter
Beiträge: 1058
Mitgliedsnummer.: 300
Mitglied seit: 2004-02-08



Hallo R2D2,
Hallo Helmut,

vielen DANK für die Hilfe.
Ich bin der Empfehlung gefolgt und habe mySQL nicht deinstalliert.

Mit der beschriebenen Config funktioniert es:
CODE
echo "dev-lang/php gd mysqli  # Für SkinFlatPlus" >> /etc/portage/package.use/dev


Viele Grüße
kaminkehrer
Email Poster
Top
Thema wird von 1 Benutzer(n) gelesen (1 Gäste und 0 Anonyme Benutzer)
0 Mitglieder:

Topic Options Reply to this topicStart new topicStart Poll